Skip to main content
GET
/
api
/
organizations
/
{organizationId}
/
extraction-rules
Get extraction rules
curl --request GET \
  --url https://your-instance.example.com/api/organizations/{organizationId}/extraction-rules \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "builtInFields": {
      "province": {
        "mode": "allowlist",
        "values": [
          "ON",
          "QC",
          "BC",
          "AB"
        ],
        "regex": [
          "^[A-Z]{2}$"
        ]
      }
    },
    "customFields": {
      "creditScore": {
        "mode": "allowlist",
        "values": [],
        "regex": [
          "^\\d{3}$"
        ],
        "prompt": "Three-digit credit score"
      }
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tetherai.ca/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
string
required

Query Parameters

type
string
default:Contact

Response

Extraction rules returned

success
enum<boolean>
Available options:
true
data
object